# $Id: lzo.spec,v 1.2 2003/11/07 15:35:22 dude Exp $

Summary: A real-time data compression library.
Name: lzo
Version: 1.08
Release: 3.fr
Group: System Environment/Libraries
License: GPL
Source: http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz
URL: http://www.oberhumer.com/opensource/lzo/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with the following features:
- Decompression is simple and *very* fast.
- Requires no memory for decompression.
- Compression is pretty fast.
- Requires 64 kB of memory for compression.
- Allows you to dial up extra compression at a speed cost in the
  compressor. The speed of the decompressor is not reduced.
- Includes compression levels for generating pre-compressed data which
  achieve a quite competitive compression ratio.
- There is also a compression level which needs only 8 kB for
  compression.
- Supports overlapping compression and in-place decompression.
- Algorithm is thread safe.
- Algorithm is lossless.


%package devel
Summary: Development files for the lzo compression library.
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
LZO is a portable lossless data compression library written in ANSI C.
It implements a number of algorithms with many features.

Install the package if you need to build programs that will use the lzo
compression library.


%prep
%setup -q

%build
%configure --enable-shared
make %{_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS BUGS NEWS README THANKS doc/LZO.FAQ
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc doc/LZO.TXT doc/LZOAPI.TXT
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Fri Nov  7 2003 Matthias Saou <http://freshrpms.net/> - 1.08-3.fr
- Rebuild for Fedora Core 1.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Now exclude .la file.

* Tue Feb 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup for Red Hat Linux 8.0.

* Sat Feb 15 2003 Jos Romildo Malaquias <malaquias@iceb.ufop.br> 1.08-1
- First spec file

